import _taggedTemplateLiteralLoose from "@babel/runtime/helpers/esm/taggedTemplateLiteralLoose";
var _templateObject, _templateObject2, _templateObject3, _templateObject4, _templateObject5, _templateObject6, _templateObject7, _templateObject8, _templateObject9, _templateObject10, _templateObject11, _templateObject12, _templateObject13, _templateObject14, _templateObject15, _templateObject16;
import { css, memoizeStyle } from "../../../lib/theming/Emotion";
import { labelSizeMixin, inputSizeMixin } from "../TokenInput.mixins";
export var styles = memoizeStyle({
  label: function label(t) {
    return css(_templateObject || (_templateObject = _taggedTemplateLiteralLoose(["\n      background-color: ", ";\n      box-shadow: ", ";\n      border: ", " solid ", ";\n      border-top-color: ", ";\n      transition: border-color ", " ", ";\n      box-sizing: border-box;\n      cursor: text;\n      display: flex;\n      flex-wrap: wrap;\n      align-items: start;\n      outline: none;\n      position: relative;\n      border-radius: ", ";\n    "])), t.tokenInputBg, t.tokenInputShadow, t.tokenInputBorderWidth, t.tokenInputBorderColor, t.tokenInputBorderTopColor, t.transitionDuration, t.transitionTimingFunction, t.tokenInputBorderRadius);
  },
  labelSmall: function labelSmall(t) {
    return css(_templateObject2 || (_templateObject2 = _taggedTemplateLiteralLoose(["\n      ", "\n    "])), labelSizeMixin(t.tokenInputPaddingYSmall, t.tokenInputPaddingXSmall));
  },
  labelMedium: function labelMedium(t) {
    return css(_templateObject3 || (_templateObject3 = _taggedTemplateLiteralLoose(["\n      ", "\n    "])), labelSizeMixin(t.tokenInputPaddingYMedium, t.tokenInputPaddingXMedium));
  },
  labelLarge: function labelLarge(t) {
    return css(_templateObject4 || (_templateObject4 = _taggedTemplateLiteralLoose(["\n      ", "\n    "])), labelSizeMixin(t.tokenInputPaddingYLarge, t.tokenInputPaddingXLarge));
  },
  hovering: function hovering(t) {
    return css(_templateObject5 || (_templateObject5 = _taggedTemplateLiteralLoose(["\n      &:hover {\n        border-color: ", ";\n      }\n    "])), t.tokenInputBorderColorHover);
  },
  warning: function warning(t) {
    return css(_templateObject6 || (_templateObject6 = _taggedTemplateLiteralLoose(["\n      border: ", " solid ", ";\n      box-shadow: 0 0 0 ", " ", ";\n    "])), t.tokenInputBorderWidth, t.tokenInputBorderColorWarning, t.tokenInputOutlineWidth, t.tokenInputBorderColorWarning);
  },
  error: function error(t) {
    return css(_templateObject7 || (_templateObject7 = _taggedTemplateLiteralLoose(["\n      border: ", " solid ", ";\n      box-shadow: 0 0 0 ", " ", ";\n    "])), t.tokenInputBorderWidth, t.tokenInputBorderColorError, t.tokenInputOutlineWidth, t.tokenInputBorderColorError);
  },
  labelFocused: function labelFocused(t) {
    return css(_templateObject8 || (_templateObject8 = _taggedTemplateLiteralLoose(["\n      border: ", " solid ", ";\n      box-shadow: 0 0 0 ", " ", ";\n    "])), t.tokenInputBorderWidth, t.tokenInputBorderColorFocus, t.tokenInputOutlineWidth, t.tokenInputBorderColorFocus);
  },
  labelDisabled: function labelDisabled(t) {
    return css(_templateObject9 || (_templateObject9 = _taggedTemplateLiteralLoose(["\n      background: ", ";\n      background-clip: ", ";\n      border-color: ", ";\n      box-shadow: none;\n      cursor: default;\n    "])), t.tokenInputDisabledBg, t.inputDisabledBackgroundClip, t.tokenInputDisabledBorderColor);
  },
  input: function input(t) {
    return css(_templateObject10 || (_templateObject10 = _taggedTemplateLiteralLoose(["\n      background: transparent;\n      border: none;\n      box-shadow: none;\n      outline: none;\n      font-family: inherit;\n      overflow: hidden;\n      resize: none;\n      -webkit-appearance: none;\n      text-overflow: clip;\n      background-clip: padding-box;\n      transition: background-color 0.15s ease-in;\n      color: ", ";\n      box-sizing: border-box;\n      word-break: break-all;\n      padding: 0;\n      margin: 0;\n      flex: 1 1 100%;\n\n      &::-ms-clear {\n        display: none;\n      }\n      &::placeholder {\n        color: ", ";\n        -webkit-text-fill-color: ", ";\n      }\n      &:disabled::placeholder {\n        color: ", ";\n        -webkit-text-fill-color: ", ";\n      }\n      &:focus::placeholder {\n        color: ", ";\n        -webkit-text-fill-color: ", ";\n      }\n      /* fix firefox placeholder opacity */\n      &:-moz-placeholder {\n        opacity: 1;\n      }\n      &::-moz-placeholder {\n        opacity: 1;\n      }\n    "])), t.tokenInputTextColor, t.tokenInputPlaceholderColor, t.tokenInputPlaceholderColor, t.tokenInputPlaceholderColorDisabled, t.tokenInputPlaceholderColorDisabled, t.tokenInputPlaceholderColorLight, t.tokenInputPlaceholderColorLight);
  },
  inputSmall: function inputSmall(t) {
    return css(_templateObject11 || (_templateObject11 = _taggedTemplateLiteralLoose(["\n      ", ";\n    "])), inputSizeMixin(t.tokenFontSizeSmall, t.tokenInputLineHeightSmall));
  },
  inputMedium: function inputMedium(t) {
    return css(_templateObject12 || (_templateObject12 = _taggedTemplateLiteralLoose(["\n      ", ";\n    "])), inputSizeMixin(t.tokenFontSizeMedium, t.tokenInputLineHeightMedium));
  },
  inputLarge: function inputLarge(t) {
    return css(_templateObject13 || (_templateObject13 = _taggedTemplateLiteralLoose(["\n      ", ";\n    "])), inputSizeMixin(t.tokenFontSizeLarge, t.tokenInputLineHeightLarge));
  },
  inputDisabled: function inputDisabled(t) {
    return css(_templateObject14 || (_templateObject14 = _taggedTemplateLiteralLoose(["\n      pointer-events: none;\n      /* fix text color in safari */\n      -webkit-text-fill-color: currentcolor;\n      color: ", ";\n    "])), t.tokenInputTextColorDisabled);
  },
  inputPlaceholderWrapper: function inputPlaceholderWrapper() {
    return css(_templateObject15 || (_templateObject15 = _taggedTemplateLiteralLoose(["\n      flex: 1 1 100%;\n    "])));
  },
  reservedInput: function reservedInput(t) {
    return css(_templateObject16 || (_templateObject16 = _taggedTemplateLiteralLoose(["\n      min-width: 2px;\n      color: ", ";\n      word-break: break-all;\n    "])), t.tokenInputTextColorDisabled);
  }
});